# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name hledger-lib

%global common_summary Core data types, parsers and utilities for the hledger accounting tool

%global common_description This is the reusable core of the hledger financial app; use \
it to build hledger and c++-ledger compatible finance tools.

Name:           ghc-%{pkg_name}
Version:        0.17
Release:        8%{?dist}
Summary:        %{common_summary}

License:        GPLv3
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-regexpr-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-utf8-string-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}

cabal-tweak-dep-ver cmdargs "< 0.10" "<0.11"
cabal-tweak-dep-ver split "== 0.1.*" "== 0.2.*"

%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov  9 2012 Jens Petersen <petersen@redhat.com> - 0.17-7
- allow building with cmdargs 0.10 and split 0.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.17-5
- change prof BRs to devel

* Fri Jun 22 2012 Jens Petersen <petersen@redhat.com> - 0.17-4
- rebuild

* Sat Jun 16 2012 Jens Petersen <petersen@redhat.com> - 0.17-3
- rebuild

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.17-2
- add license to ghc_files

* Tue Feb 28 2012 Ben Boeckel <mathstuf@gmail.com> - 0.17-1
- Update to 0.17

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.16.1-1
- update to 0.16.1 and cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.16-1.1
- rebuild with new gmp without compat lib

* Mon Oct  3 2011 Jens Petersen <petersen@redhat.com> - 0.16-1
- update to 0.16
- new dependency on ghc-cmdargs

* Mon Oct  3 2011 Jens Petersen <petersen@redhat.com> - 0.14-2
- BR ghc-*-prof not devel

* Sat Jul 09 2011 Ben Boeckel <mathstuf@gmail.com> - 0.14-1
- Update to 0.14 and cabal2spec-0.24

* Fri Dec 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.13-1
- Update to 0.13

* Fri Dec 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.12.98-1
- Update to snapshot (0.12.98)

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.12.1-1
- Update to 0.12.1

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 0.12-1
- Update to 0.12

* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-1
- Initial package

* Fri Sep  3 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
